- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 9818098e-73c5-4c4c-be74-36232f78f84b
    creation_time: 2023-02-17T12:12:39.755554Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: z == 6*n+6 && y == 3*n*n+3*n+1 && x == n*n*n && y*z-18*x-12*y+2*z-6 == z*z-12*y-6*z+12 && z*z-12*y-6*z+12 == 0 &&  ( n <= a+1 || a < 0 && 0 == n ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e027859a-6557-4dba-ab9b-4c7161c35d18
    creation_time: 2023-02-17T12:12:39.755841Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 33
    column: 0
    function: main
  location_invariant:
    string: z == 6*n+6
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 46822333-a17a-4c80-a4c0-718fc8ecd6ed
    creation_time: 2023-02-17T12:12:39.755935Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 34
    column: 0
    function: main
  location_invariant:
    string: y == 3*n*n+3*n+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2b9c45e1-2b21-46a1-bbf2-8e14668d8c6d
    creation_time: 2023-02-17T12:12:39.756034Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 35
    column: 0
    function: main
  location_invariant:
    string: x == n*n*n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1551d1e4-bc54-4f23-ae3c-039873330802
    creation_time: 2023-02-17T12:12:39.756199Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 36
    column: 0
    function: main
  location_invariant:
    string: y*z-18*x-12*y+2*z-6 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: da4581f8-1cf6-4e2c-8ec1-037fa08b30cb
    creation_time: 2023-02-17T12:12:39.756294Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 37
    column: 0
    function: main
  location_invariant:
    string: z*z-12*y-6*z+12 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 4c49d1b5-9518-48d4-bc0c-cb1938072d8e
    creation_time: 2023-02-17T12:12:39.756383Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 47
    column: 0
    function: main
  location_invariant:
    string: z == 6*n+6
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e9201711-667d-4994-9575-c9604631bb7c
    creation_time: 2023-02-17T12:12:39.756474Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 48
    column: 0
    function: main
  location_invariant:
    string: 6*a*x-x*z+12*x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fa2d45c4-1f2a-4972-ad84-0cdda978b382
    creation_time: 2023-02-17T12:12:39.756560Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 49
    column: 0
    function: main
  location_invariant:
    string: a*z-6*a-2*y+2*z-10 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b806ed91-81b2-47fe-943f-0e0da9c23bbb
    creation_time: 2023-02-17T12:12:39.756651Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 50
    column: 0
    function: main
  location_invariant:
    string: 2*y*y-3*x*z-18*x-10*y+3*z-10 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c89563e2-175b-42a7-8d83-b6c263922d2e
    creation_time: 2023-02-17T12:12:39.756734Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 51
    column: 0
    function: main
  location_invariant:
    string: z*z-12*y-6*z+12 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: eebaaaa0-9b68-41bb-b282-a12643cc8506
    creation_time: 2023-02-17T12:12:39.756816Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/cohencu-ll.c
      input_file_hashes:
        c/nla-digbench/cohencu-ll.c: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/cohencu-ll.c
    file_hash: bf57d72e341b105161cbeacf29e58db93d2b67f8e0e097e4dbed74551cbdcfff
    line: 52
    column: 0
    function: main
  location_invariant:
    string: y*z-18*x-12*y+2*z-6 == 0
    type: assertion
    format: C

